﻿using UnityEngine;
using System.Collections;
using System;

public class FallingKey : MonoBehaviour
{
    IngameSceneLogic ingameLogicComponent = null;

    bool isFalling;
    bool isHeldUp;

    float targetPositionY;
    float fallSpeed = 0.1f;

    void Start()
    {
        GameObject ingameSceneLogicAnchor = GameObject.Find("IngameSceneAnchor");
        ingameLogicComponent = ingameSceneLogicAnchor.GetComponent<IngameSceneLogic>();

        isFalling = false;
        isHeldUp = false;
        targetPositionY = 0.0f;
    }

    void Update()
    {
        if (!ingameLogicComponent.IngameReady)
        {
            return;
        }

        if (!isFalling)
        {
            if (!isHeldUp)
            {
                Vector3 position = this.gameObject.transform.position;

                int x = (int)position.x;
                int y = (int)(position.y - 1.0f);
                TileType tileType = ingameLogicComponent.FindTileType(x, y);
                if (tileType == TileType.None)
                {
                    isFalling = true;
                    isHeldUp = true;
                    targetPositionY = (float)y;
                }
            }
        }
        else
        {
            if (isHeldUp)
            {
                Vector3 position = this.gameObject.transform.position;

                int x = (int)position.x;
                int y = (int)(position.y - 1.0f);
                if (!ingameLogicComponent.IsPlayerInTile(x, y))
                {
                    isHeldUp = false;
                }
            }
            else
            {
                if (isFalling)
                {
                    Vector3 position = this.gameObject.transform.position;

                    position.y -= fallSpeed;

                    if (position.y < targetPositionY)
                    {
                        position.y = targetPositionY;
                        isFalling = false;
                    }

                    this.gameObject.transform.position = position;
                }
            }
        }
    }
}
