﻿using UnityEngine;
using UnityEngine.SceneManagement;
using System.Collections;

public class GameLogic : MonoBehaviour
{
    public int CurrentLevel;

    string[] LevelNames = new string[]
    {
        "Level1Scene",
        "Level2Scene",
        "Level3Scene",
        "Level4Scene",
        "Level5Scene"
    };
    float[] LevelTimes = new float[]
    {
        150,
        150,
        180,
        180,
        180
    };
    public int MaxLevels;

    public int PlayerScore;

    private void Awake()
    {
        DontDestroyOnLoad(this.gameObject);

        Random.InitState(1337);

        CurrentLevel = 1;
        MaxLevels = LevelNames.Length;

        PlayerScore = 0;
    } 

    void Start()
    {
        SceneManager.LoadScene("TitleScene");
    }

    void Update()
    {
    }

    public string GetCurrentLevelName()
    {
        return LevelNames[CurrentLevel - 1];
    }

    public float GetCurrentLevelTime()
    {
        return LevelTimes[CurrentLevel - 1];
    }

    public bool MoveToNextLevel()
    {
        if (CurrentLevel < MaxLevels)
        {
            CurrentLevel++;
            return true;
        }

        return false;
    }
}
