﻿using UnityEngine;
using UnityEngine.SceneManagement;
using System.Collections;

public class SettingsSceneLogic : MonoBehaviour
{
    GameLogic gameLogicComponent = null;

    void Start()
    {
        GameObject gameLogicAnchor = GameObject.Find("GameLogicAnchor");
        if (gameLogicAnchor == null)
        {
            SceneManager.LoadScene("StartScene");
            return;
        }
        gameLogicComponent = gameLogicAnchor.GetComponent<GameLogic>();
    }

    void Update()
    {
        bool isStartPressed = Input.GetButtonUp("StartPressed");
        if(isStartPressed)
        {
            SceneManager.LoadScene(gameLogicComponent.GetCurrentLevelName());
            return;
        }
    }

    public void OnClickStartButton()
    {
        SceneManager.LoadScene(gameLogicComponent.GetCurrentLevelName());
    }
}
